## org.biojava.bio.program.gff
Interface GFFRecordFilter

All Known Implementing Classes:
  GFFRecordFilter.AcceptAll, GFFRecordFilter.FeatureFilter, GFFRecordFilter.FrameFilter, GFFRecordFilter.NotFilter, GFFRecordFilter.SequenceFilter, GFFRecordFilter.SourceFilter, GFFRecordFilter.StrandFilter

    public interface GFFRecordFilter

A filter that will accept or reject a GFFEntry.

Author:
  Matthew Pocock, Keith James (docs)

Nested Class Summary
`static class` `GFFRecordFilter.AcceptAll` Implementation of GFFRecordFilter that accepts everything.
`static class` `GFFRecordFilter.FeatureFilter` Implementation of GFFRecordFilter that accepts records based upon the feature field.
`static class` `GFFRecordFilter.FrameFilter`
`static class` `GFFRecordFilter.NotFilter`
`static class` `GFFRecordFilter.SequenceFilter` Implementation of GFFRecordFilter that accepts records based upon the sequence name.
`static class` `GFFRecordFilter.SourceFilter` Implementation of GFFRecordFilter that accepts records based upon the source field.
`static class` `GFFRecordFilter.StrandFilter`

Field Summary
`static GFFRecordFilter` `ACCEPT_ALL` A GFFRecordFilter that accepts everything.

Method Summary
`boolean` `accept(GFFRecord record)` Return whether or not to accept record.

Field Detail

### ACCEPT_ALL

    static final GFFRecordFilter ACCEPT_ALL

  A GFFRecordFilter that accepts everything.

Method Detail

### accept

    boolean accept(GFFRecord record)

  Return whether or not to accept record.

  Parameters:
    `record` - the GFFRecord to filter
  Returns:
    true if record should be accepted or false otherwise